# Fish completions for wal
#
# Taken from my pull request in 2018:
# https://github.com/dylanaraps/pywal/pull/324

set -l backend "
    schemer2\t'Generate a colorscheme using Schemer2'
    haishoku\t'Generate a colorscheme using Haishoku'
    wal\t'Generate a colorscheme using imagemagick'
    colorz\t'Generate a colorscheme using Colorz'
    colorthief\t'Generate a colorscheme using ColorThief'
"

set -l theme "
    tempus_fugit\t'Light theme'
    base16-materialer\t'Light and dark theme'
    tempus_past\t'Light theme'
    base16-atelier-plateau\t'Light and dark theme'
    base16-default\t'Light and dark theme'
    ashes\t'Light and dark theme'
    base16-gruvbox-hard\t'Light and dark theme'
    base16-cupertino\t'Light theme'
    solarized\t'Light and dark theme'
    base16-atelier-cave\t'Light and dark theme'
    base16-atelier-dune\t'Light and dark theme'
    base16-google\t'Light and dark theme'
    base16-grayscale\t'Light and dark theme'
    base16-atelier-savanna\t'Light and dark theme'
    base16-gruvbox-medium\t'Light and dark theme'
    base16-shapeshifter\t'Light theme'
    base16-solarized\t'Light and dark theme'
    base16-classic\t'Light and dark theme'
    base16-unikitty\t'Light and dark theme'
    base16-cupcake\t'Light theme'
    tempus_dawn\t'Light theme'
    base16-atelier-sulphurpool\t'Light and dark theme'
    base16-github\t'Light theme'
    3024\t'Light and dark theme'
    base16-tomorrow\t'Light theme'
    base16-gruvbox-soft\t'Light and dark theme'
    base16-summerfruit\t'Light and dark theme'
    base16-atelier-lakeside\t'Light and dark theme'
    base16-harmonic\t'Light and dark theme'
    base16-atelier-estuary\t'Light and dark theme'
    sexy-mostly-bright\t'Light theme'
    github\t'Light theme'
    tempus_totus\t'Light theme'
    base16-atelier-heath\t'Light and dark theme'
    base16-one\t'Light theme'
    base16-mexico\t'Light theme'
    base16-atelier-seaside\t'Light and dark theme'
    base16-atelier-forest\t'Light and dark theme'
    base16-nord\t'Dark theme'
    dkeg-sundr\t'Dark theme'
    base16-black-metal-venom\t'Dark theme'
    tempus_dusk\t'Dark theme'
    sexy-colorfulcolors\t'Dark theme'
    base16-pop\t'Dark theme'
    dkeg-novmbr\t'Dark theme'
    dkeg-petal\t'Dark theme'
    sexy-splurge\t'Dark theme'
    base16-black-metal\t'Dark theme'
    dkeg-simplicity\t'Dark theme'
    sexy-x-dotshare\t'Dark theme'
    dkeg-provrb\t'Dark theme'
    dkeg-squares\t'Dark theme'
    dkeg-poly\t'Dark theme'
    sexy-rezza\t'Dark theme'
    sexy-invisibone\t'Dark theme'
    base16-material\t'Dark theme'
    sexy-gslob-nature-suede\t'Dark theme'
    sexy-numixdarkest\t'Dark theme'
    sexy-bitmute\t'Dark theme'
    dkeg-harbing\t'Dark theme'
    base16-tube\t'Dark theme'
    sexy-tartan\t'Dark theme'
    sexy-tangoesque\t'Dark theme'
    dkeg-victory\t'Dark theme'
    tempus_warp\t'Dark theme'
    sexy-s3r0-modified\t'Dark theme'
    sexy-sexcolors\t'Dark theme'
    dkeg-sprout\t'Dark theme'
    base16-solarflare\t'Dark theme'
    base16-oceanicnext\t'Dark theme'
    sexy-kasugano\t'Dark theme'
    dkeg-5725\t'Dark theme'
    dkeg-parkd\t'Dark theme'
    base16-xcode-dusk\t'Dark theme'
    base16-pico\t'Dark theme'
    sexy-astromouse\t'Dark theme'
    dkeg-slate\t'Dark theme'
    darktooth\t'Dark theme'
    base16-gruvbox-pale\t'Dark theme'
    dkeg-fendr\t'Dark theme'
    base16-black-metal-bathory\t'Dark theme'
    dkeg-designr\t'Dark theme'
    base16-rebecca\t'Dark theme'
    dkeg-scape\t'Dark theme'
    dkeg-bluetype\t'Dark theme'
    base16-outrun\t'Dark theme'
    sexy-theme2\t'Dark theme'
    dkeg-tealights\t'Dark theme'
    base16-flat\t'Dark theme'
    sexy-hybrid\t'Dark theme'
    base16-black-metal-marduk\t'Dark theme'
    base16-railscasts\t'Dark theme'
    sexy-rydgel\t'Dark theme'
    sexy-phrak1\t'Dark theme'
    sexy-gjm\t'Dark theme'
    sexy-tango\t'Dark theme'
    dkeg-view\t'Dark theme'
    base16-codeschool\t'Dark theme'
    base16-bright\t'Dark theme'
    dkeg-diner\t'Dark theme'
    base16-hopscotch\t'Dark theme'
    sexy-pretty-and-pastel\t'Dark theme'
    base16-spacemacs\t'Dark theme'
    sexy-sweetlove\t'Dark theme'
    dkeg-vans\t'Dark theme'
    sexy-gnometerm\t'Dark theme'
    sexy-neon\t'Dark theme'
    base16-paraiso\t'Dark theme'
    dkeg-depth\t'Dark theme'
    base16-black-metal-khold\t'Dark theme'
    dkeg-blend\t'Dark theme'
    base16-irblack\t'Dark theme'
    base16-ashes\t'Dark theme'
    dkeg-urban\t'Dark theme'
    sexy-navy-and-ivory\t'Dark theme'
    dkeg-prevail\t'Dark theme'
    base16-chalk\t'Dark theme'
    base16-black-metal-mayhem\t'Dark theme'
    sexy-rasi\t'Dark theme'
    base16-macintosh\t'Dark theme'
    base16-ocean\t'Dark theme'
    sexy-digerati\t'Dark theme'
    dkeg-spire\t'Dark theme'
    dkeg-stv\t'Dark theme'
    dkeg-bark\t'Dark theme'
    sexy-insignificato\t'Dark theme'
    sexy-deafened\t'Dark theme'
    tempus_winter\t'Dark theme'
    base16-phd\t'Dark theme'
    dkeg-brownstone\t'Dark theme'
    base16tooth\t'Dark theme'
    base16-dracula\t'Dark theme'
    dkeg-paints\t'Dark theme'
    base16-woodland\t'Dark theme'
    tempus_spring\t'Dark theme'
    dkeg-link\t'Dark theme'
    sexy-material\t'Dark theme'
    tempus_rift\t'Dark theme'
    monokai\t'Dark theme'
    base16-onedark\t'Dark theme'
    dkeg-wintry\t'Dark theme'
    gruvbox\t'Dark theme'
    tempus_summer\t'Dark theme'
    base16-twilight\t'Dark theme'
    base16-tomorrow-night\t'Dark theme'
    base16-circus\t'Dark theme'
    sexy-parker_brothers\t'Dark theme'
    sexy-gotham\t'Dark theme'
    base16-porple\t'Dark theme'
    sexy-swayr\t'Dark theme'
    sexy-mikazuki\t'Dark theme'
    dkeg-branch\t'Dark theme'
    dkeg-pastely\t'Dark theme'
    sexy-orangish\t'Dark theme'
    sexy-visibone-alt-2\t'Dark theme'
    sexy-nancy\t'Dark theme'
    base16-black-metal-nile\t'Dark theme'
    dkeg-blumune\t'Dark theme'
    base16-brushtrees\t'Dark theme'
    zenburn\t'Dark theme'
    base16-black-metal-immortal\t'Dark theme'
    sexy-euphrasia\t'Dark theme'
    base16-eighties\t'Dark theme'
    dkeg-leaf\t'Dark theme'
    hybrid-material\t'Dark theme'
    dkeg-chaires\t'Dark theme'
    sexy-muse\t'Dark theme'
    dkeg-mattd\t'Dark theme'
    base16-seti\t'Dark theme'
    sexy-simple_rainbow\t'Dark theme'
    base16-icy\t'Dark theme'
    sexy-user-77-mashup-colors\t'Dark theme'
    sexy-dwmrob\t'Dark theme'
    dkeg-flapr\t'Dark theme'
    sexy-hund\t'Dark theme'
    dkeg-amiox\t'Dark theme'
    tempus_future\t'Dark theme'
    base16-monokai\t'Dark theme'
    sexy-derp\t'Dark theme'
    base16-isotope\t'Dark theme'
    sexy-doomicideocean\t'Dark theme'
    base16-black-metal-burzum\t'Dark theme'
    base16-black-metal-funeral\t'Dark theme'
    dkeg-bulb\t'Dark theme'
    sexy-dotshare\t'Dark theme'
    base16-black-metal-gorgoroth\t'Dark theme'
    sexy-tlh\t'Dark theme'
    dkeg-soundwave\t'Dark theme'
    dkeg-owl\t'Dark theme'
    sexy-trim-yer-beard\t'Dark theme'
    base16-materia\t'Dark theme'
    sexy-visibone\t'Dark theme'
    dkeg-traffic\t'Dark theme'
    sexy-dawn\t'Dark theme'
    base16-3024\t'Dark theme'
    sexy-vacuous2\t'Dark theme'
    dkeg-forst\t'Dark theme'
    dkeg-blok\t'Dark theme'
    tempus_autumn\t'Dark theme'
    sexy-thwump\t'Dark theme'
    dkeg-raild\t'Dark theme'
    sexy-zenburn\t'Dark theme'
    dkeg-escen\t'Dark theme'
    sexy-monokai\t'Dark theme'
    base16-zenburn\t'Dark theme'
    dkeg-book\t'Dark theme'
    dkeg-subtle\t'Dark theme'
    base16-material-palenight\t'Dark theme'
    base16-bespin\t'Dark theme'
    dkeg-transposet\t'Dark theme'
    sexy-belge\t'Dark theme'
    dkeg-kit\t'Dark theme'
    sexy-mikado\t'Dark theme'
    sexy-cloud\t'Dark theme'
    dkeg-skigh\t'Dark theme'
    dkeg-relax\t'Dark theme'
    dkeg-corduroy\t'Dark theme'
    base16-greenscreen\t'Dark theme'
    base16-embers\t'Dark theme'
    dkeg-scag\t'Dark theme'
    base16-apathy\t'Dark theme'
    dkeg-shade\t'Dark theme'
    base16-marrakesh\t'Dark theme'
    dkeg-fury\t'Dark theme'
    base16-brewer\t'Dark theme'
    vscode\t'Dark theme'
    base16-mocha\t'Dark theme'
    base16-mellow-purple\t'Dark theme'
    sexy-eqie6\t'Dark theme'
    sexy-jasonwryan\t'Dark theme'
    dkeg-coco\t'Dark theme'
"

complete -c wal -s 'h'  -l 'help'                       -d "Show help"
complete -c wal -s 'a'                  -r              -d "Set terminal background transparency (only works in urxvt)"
complete -c wal -s 'b'  -l 'background' -r              -d "Custom background color to use"
complete -c wal         -l 'backend'    -x  -a $backend -d "Which color backend to use"
complete -c wal -s 'f'  -l 'theme'      -r  -a $theme   -d "Which colorscheme file to use"
complete -c wal         -l 'iterative'                  -d "Go through images in order instead of shuffled"
complete -c wal         -l 'saturate'   -r              -d "Set the color saturation"
complete -c wal         -l 'preview'                    -d "Print the current color palette"
complete -c wal -s 'c'                                  -d "Delete all cached colorschemes"
complete -c wal -s 'i'                  -r              -d "Which image or directory to use"
complete -c wal -s 'g'                                  -d "Generate an oomox theme"
complete -c wal -s 'l'                                  -d "Generate a light colorscheme"
complete -c wal -s 'n'                                  -d "Skip setting the wallpaper"
complete -c wal -s 'o'                  -r              -d "External script to run after wal"
complete -c wal -s 'q'                                  -d "Quiet mode (don't print anything)"
complete -c wal -s 'R'                                  -d "Restore previous color scheme"
complete -c wal -s 's'                                  -d "Skip changing colors in terminals"
complete -c wal -s 't'                                  -d "Skip changing colors in tty"
complete -c wal -s 'v'                                  -d "Print wal version"
complete -c wal -s 'e'                                  -d "Skip reloading gtk/xrdb/i3/sway/polybar"
